bug-gzip
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#43583: [PATCH 4/4] Add a test for compressing and decompressing two


From: Ilya Leoshkevich
Subject: bug#43583: [PATCH 4/4] Add a test for compressing and decompressing two files
Date: Thu, 24 Sep 2020 00:08:57 +0200

It ensures that compression and decompression state of the first file
does not affect the second file.
---
 tests/Makefile.am |  1 +
 tests/two-files   | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)
 create mode 100755 tests/two-files

diff --git a/tests/Makefile.am b/tests/Makefile.am
index a87a594..2f7c9c3 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -27,6 +27,7 @@ TESTS =                                       \
   reproducible                         \
   stdin                                        \
   timestamp                            \
+  two-files                            \
   trailing-nul                         \
   unpack-invalid                       \
   unpack-valid                         \
diff --git a/tests/two-files b/tests/two-files
new file mode 100755
index 0000000..efdfb4f
--- /dev/null
+++ b/tests/two-files
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Ensure that gzip can compress more than one file.
+
+# Copyright 2020 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+# limit so don't run it by default.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ..
+
+dd if=/dev/urandom of=a count=5000 bs=1
+dd if=/dev/urandom of=b count=5000 bs=1
+cp a a.exp
+cp b b.exp
+gzip -1 a b || fail=1
+gzip -d a.gz b.gz || fail=1
+compare a.exp a || fail=1
+compare b.exp b || fail=1
+
+Exit $fail
-- 
2.25.4






reply via email to

[Prev in Thread] Current Thread [Next in Thread]